## tongue 0.8

=== Makefile ===
all: test doc

MODULES := tongue tongue.langpack tongue.util tongue.transliteration tongue.codex
LUA_VER := 5.1

PREFIX ?= /usr/local

INST_BASE := $(PREFIX)
INST_ROOT := $(DESTDIR)$(INST_BASE)/share/lua/$(LUA_VER)

MOD_FILES := $(patsubst %,%.lua,$(subst .,/,$(MODULES)))

install:
	mkdir -p $(INST_ROOT)/tongue
	for MOD in $(sort $(MOD_FILES)); do \
		cp lib/$${MOD} $(INST_ROOT)/$${MOD}; \
	done

LUA := LUA_PATH="$(shell pwd)/lib/?.lua;$(shell pwd)/extras/luacov/src/?.lua;;" lua$(LUA_VER)

clean:
	$(RM) luacov.report.out luacov.stats.out
	$(RM) -r html

distclean: clean
	find . -name "*~" -delete

.PHONY: example
example:
	$(LUA) example/tongue-example.lua

.PHONY: test
test:
	@$(RM) luacov.stats.out
	@ERR=0; \
	for MOD in $(sort $(MODULES)); do \
		echo -n "$${MOD}: "; \
		$(LUA) test/test-$${MOD}.lua; \
		test "x$$?" = "x0" || ERR=1; \
	done; \
	$(LUA) extras/luacov/src/bin/luacov -X luacov. -X test. $(MODULES); \
	exit $$ERR

.PHONY: interactive
interactive:
	$(LUA) -e'tongue=require"tongue"' -i

doc:
	@echo "Running LDoc"
	@ldoc .

=== debian/changelog ===
tongue (0.8-1) unstable; urgency=medium

  * Initial packaging of Tongue as a separate project.
  * Closes: #840917

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sun, 16 Oct 2016 15:04:22 +0900

=== debian/control ===
Source: tongue
Section: interpreters
Priority: optional
Maintainer: Daniel Silverstone <dsilvers@digital-scurf.org>
Build-Depends: debhelper (>= 9.20120909~), dh-lua, lua-ldoc, lua-discount,
  lua-iconv
Standards-Version: 3.9.8
Homepage: https://git.gitano.org.uk/tongue/

Package: lua-tongue
Architecture: all
Depends: ${misc:Depends}, lua-iconv
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: foreign
Description: Lua I18N library 'Tongue'
 Tongue is an internationalisation engine written in Lua which implements a
 hierarchical language pack system for Lua programs to use in localising
 messages into and out of themselves.

Package: lua-tongue-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation for lua-tongue
 Tongue is an internationalisation engine written in Lua which implements a
 hierarchical language pack system for Lua programs to use in localising
 messages into and out of themselves.
 .
 This package contains the documentation on how to use the Tongue library.

=== debian/watch ===
version=3
https://git.gitano.org.uk/tongue.git /tongue\.git/snapshot/tongue-(.+)\.tar.bz2
